User forums > Embedded development

MSP GCC not detected (Linux) (SOLVED)

(1/2) > >>

drvlas:
The problem is similar to  this topic.
I used C::B and MSP GCC for a couple of years. Recently I had to reinstall everything (PC crash).
First I snstalled MSP430-GCC-OPENSOURCE (SOMNIUM Technologies) v.4.2.0.36
Then I installed C::B 16.01. During the first launch the C::B detected msp-gcc toolchain and I selected it as a default Compiler.
But there was /usr path in Global compiler settings and I had to change it to ~/ti/msp430_gcc - look attachment. And I did it correctly (IMHO) because I coulde see the executables in a browse way. So I chose compilers and linkers from the bin directory.
But C::B says it cannot find compiler executable ... for GNU GCC Compiler for MSP430 (High Tech)

Why High Tech?
What does C::B search for if I set path to a Compiler in global settings?

oBFusCATed:
So you're saying that the executables work correctly if you run them from console/terminal?

Btw1: XXX-cpp is the preprocessor not the c++ compiler for this you have to use XXX-g++.
Btw2: Why are you editing GNU GCC instead of GNU GCC MPS430?

drvlas:

--- Quote from: oBFusCATed on January 15, 2017, 01:48:58 am ---So you're saying that the executables work correctly if you run them from console/terminal?
--- End quote ---
Yes, Sir!
Attachment


--- Quote from: oBFusCATed on January 15, 2017, 01:48:58 am ---Btw1: XXX-cpp is the preprocessor not the c++ compiler for this you have to use XXX-g++.
--- End quote ---
Sorry, I'm afraid I've not got you. Can you please point that 4 or 5 lines I have to fill right? Thank you!


--- Quote from: oBFusCATed on January 15, 2017, 01:48:58 am ---Btw2: Why are you editing GNU GCC instead of GNU GCC MPS430?
--- End quote ---
That is a question. If I'd know what exactly I configure when I choose a Compiler from that droplist! I know that my Compiler is TI - Red Hat - SOMNIUM Technologies product. I see only High Tech option for msp430. What have I to choose? What depends on it?

oBFusCATed:
Can you paste the full build log where the error is printed?

drvlas:
Here it is


--- Quote ---"brd-01-13-v11 - Debug": The compiler's setup (GNU GCC Compiler for MSP430 (HighTec)) is invalid, so Code::Blocks cannot find/run the compiler.
Probably the toolchain path within the compiler options is not setup correctly?! (Do you have a compiler installed?)
Goto "Settings->Compiler...->Global compiler settings->GNU GCC Compiler for MSP430 (HighTec)->Toolchain executables" and fix the compiler's setup.
Skipping...
Nothing to be done (all items are up-to-date).
--- End quote ---

Navigation

[0] Message Index

[#] Next page

Go to full version